@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@100;300;400;500;700;900&family=Noto+Serif+TC:wght@200;300;400;500;600;700;900&display=swap');

:root {
    --mgold: #aa8657;
    --lightgary: #939598;
}

@media (max-width: 991px) {
    .pc-s {
        display: none !important;
    }
}

@media (min-width: 992px) {
    .mb-s {
        display: none !important;
    }
}


.login-item{
    width: 800px;
}

@media (max-width: 991px){

    .login-item{
    width: 95%;
}



.profile-item-right .btn-custom02{
    padding: 7.5px 15px !important;
}

.menu01.nav{
    align-items: center;
    flex-wrap: nowrap;
    overflow: scroll;
}

.menu01.nav li{
    border:1px solid  #ffffff00;
    flex: unset;
}

.menu01.nav li.active{
    border-bottom-color: var(--mgold);
}
.menu01.nav li a{
    white-space: nowrap;
}
}


.left-list01{
    /* 設定最大高度，您可以改成 px (如 400px) 或 vh (螢幕高度百分比) */
    max-height: 50vh; 
    
    /* 超出範圍時顯示垂直捲軸 */
    overflow-y: auto;
    
    /* 讓捲動更滑順 (iOS/Android 體驗較好) */
    -webkit-overflow-scrolling: touch;
}


.btn-custom3{
    background-color: var(--mgold);
    color: #fff;
    border: 0px;
}

.btn-custom3:hover{
    opacity: 0.8;
}

a.forget-password
{
    color: #ced4da;
}



.answer-function-list .dropdown-toggle::after{
display: none;
}

/*.content .center-content .center-content-item{
    overflow: hidden;
}
11/7v先隱藏看看會不有問題*/



.content .center-content .center-content-item .settings-item04 a{
    color: #000;
}


.content .center-content .center-content-item .settings-item04 a h4{
    color: #000;
}

.content .center-content .center-content-item .settings-item p a{
    text-decoration: underline;
    color: var(--lightgary);
}

.content .center-content .center-content-item .message-item{
         -webkit-box-align: unset; 
    -ms-flex-align: unset;
    align-items: unset;
}

.rplybox{
    background-color: #f1f2f2;
    padding: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.rplybox .img-wrap{
    border-radius: 50%;
    height: 38px;
    width: 38px;
    overflow: hidden;

}

.rplybox input.rplyinput {
    background-color: #fff;
    border-radius: 999px;
    width: calc(100% - 155px);
}
.rplybox .rplybutton{
    border-radius: 999px;
    background-color: #dddddd;
    color: #878787;
    padding: 6px 35px;
    border: 1px #f1f2f2 solid;
    transition: 0.4s ;

}

.rplybox .rplybutton:hover{
    background-color: #cccccc;
}

.comblock .com-ti{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
    border-bottom: 1px solid #ddd;
}

.comblock .com-ti p {
    margin-bottom: 0px;
    font-weight: bold;
}

.comblock  .com-ti .dropdown-menu li a{
    display: block;
    width: 100%;
    border-radius: 0;
    padding: 5px 15px;
    font-size: 14px;
    color: #666;
}
.comblock  .com-ti .dropdown-menu li a:hover{
    background-color: #f5f5f5;
}
.comblock  .com-ti .dropdown-menu {
    border-radius: 10px;
    overflow: hidden;
    padding: 0px;
}

.com-box{
    padding: 30px 15px 15px 65px;

    position: relative;
}

.com-box .com-img{
    position: absolute;
    left: 15px;
    top: 20px ;
}


.com-box .com-img .img-wrap {
    height: 38px ;
    width: 38px;
    border-radius: 50%;
    overflow: hidden;
}

.com-box .com-text .comt-name{
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.com-box .com-text .comt-name h4{
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 0px;
    color: #333333;

}

.com-box .com-text .comt-name p{
    font-size: 16px;
    margin-bottom: 0px;
    color: #878787;
    margin-left: 15px;
}

.content .center-content .center-content-item .comt-textarea .article-function-list {
    padding: 0px;
}

.com-text .rplybox{
    background-color: #ffffff;
    padding: 15px 0px;
}

.com-box.sub{
    padding-left: 50px;
}

.com-box.comt2nd .com-img{
    left: 0px;
}

.com-box  .comt3rd .rplybox{
    width: calc(100% + 50px);
    transform: translateX(-50px);
}

.sgl-ti{
    letter-spacing: 1px;
    line-height: 1.5em;
}

.sgl-btn{
    padding: 7px 20px;
    border-radius: 99999px;
    border: 1px solid #44494d;
    color: #44494d;
}

.sgl-btn:hover{
    color: #aa8657;
    border-color: #aa8657;
}


.content .center-content .center-content-item .add-question-item.sgl-add{
    display: block;
    text-align: center;
}

.content .center-content .center-content-item .add-question-item.sgl-add div{
    margin: 0 auto;
}


.sgl-auth-box{
    padding: 15px;

}

.sgl-auth-box .sgl-auth{
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.sgl-auth-box .sgl-auth .img-wrap{
    width: 38px;
    height: 38px;
    border-radius: 50%;
    overflow: hidden;
}

.sgl-auth-box .sgl-auth h4{
    margin-bottom: 0px;
    margin-left: 15px;
}

.sgl-auth-box p{
    margin-bottom: 5px;
}

.user-item{
    text-align: center;
}

.header .mo-header .user-item a i{
    font-size: 30px;
}



.header_icon li{
    position: relative;
}



.header_icon li p{
    position: absolute;
    bottom: -110%;
    left: 50%;
    white-space: nowrap;
    transform: translateX(-50%);
    margin: 0;
    padding: 5px 15px;
    border: 1px #ddd solid;
    background-color: #f1f1f1;
    border-radius: 99999px;
    display: none;

}


.header_icon li a:hover + p{
    display: block;
}

.likeCount {
    font-size: 14px;
}
.content .center-content .center-content-item .text-item .share-item {
    padding-top: 5px;
}
.content .center-content .center-content-item .text-item .share-item .article-user-item{
    padding: 0px;
    padding-bottom: 15px;
}

.sp-head{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 30px;
    padding-bottom: 30px;

}

.sp-headimg {
    display: flex;
    width: 70%;

}

.sp-headimg .img-wrap{
    width: 80px;
    border-radius: 10px;
    overflow: hidden;
    margin-right: 15px;
}

.sp-headimg .img-wrap .img-item{
    padding-top: 100%;
}
.sp-headimg .sp-name h2{
    font-size: 28px;
    font-weight: 600;
    color: 333;
    margin-bottom: 0px;
}


.sp-headimg .sp-name p{
    font-size: 16px;
    color: 666;

}
.settings-item .sp-icon .img-wrap{
    width: 80px;
    border-radius: 10px;
    overflow: hidden;
    margin-right: 15px;
}
.settings-item .sp-bgset .img-wrap{
    width: 100%;
    max-width: 300px;
}


.sp-bgset .img-wrap .img-item{
    padding-top: 20%;
}

.center-content-item P {
    margin-bottom: 15px;
    font-size: 16px;
    color: #666;
}


.center-content-item P.des{
    margin-bottom: 15px;
}

.settings-item .sp-member {
    display: flex;align-items: center;
}
.settings-item .sp-member .img-wrap{
    width: 35px;
    margin-right: 10px;
    border-radius: 50%;
    overflow: hidden;
}


.settings-item .sp-member .spm-text h5{
    font-size: 15px;
    color: #333;
    margin-bottom:5px ;
}


.settings-item .sp-member .spm-text p{
    font-size: 15px;
    color: #878787;
    margin-bottom: 0px;
}

.settings-item.spm-list{
    justify-content: space-between;
}


.settings-item.spm-list .btn-custom{
    padding: 7px 4px 7px 10px;
    text-align: center;
}

.sp-head-right .btn-custom{
    padding: 7px 12px;
}

.sp-list-youti{
    justify-content: space-between;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    padding-bottom: 15px;
}

.sp-list-youti h2{
    margin-bottom: 0px;
    font-size: 18px;
}

.sp-list-you{
    padding: 15px;
    padding-bottom: 0px;
}


.sp-list-yousp .sp-list-youspa{
    display: flex;
    width: 100%;
    align-items: center;
    padding: 5px 0px;
    border-bottom: 1px solid #ddd;
}

.sp-list-yousp .sp-list-youspa:last-child{
    border-bottom: 0px solid #ddd;
    padding-bottom: 10px;
}


.sp-list-yousp .sp-list-youspa:hover{
    background-color: #f0f0f0;
}


.sp-list-yousp .sp-list-youspa  .img-wrap{
    width: 35px;
    margin-right: 10px;
}

.sp-list-yousp .sp-list-youspa  .sp-list-yspaname{
    color: #666;
    font-size: 14px;
    margin-right: 10px;
}

.sp-list-yousp .sp-list-youspa  .sp-list-admi{
    padding: 3px;
    background-color: #efefef;
    font-size: 12px;
    color: #666;
}

.spl-join{
    display: flex;
    align-items: center;
    width: 100%;
    padding: 15px;
    justify-content: space-between;
    border-bottom: 1px solid #ddd;
}

.center-content-item .spl-join:last-child{
    border-bottom: 0px solid #ddd;
}

.spl-join .btn-custom{
    color: #666;
    padding: 0px 2px;
    border-radius: 50%;
    text-align: center;
    width: 24px;
    height: 24px;
}

.spl-join  .splj-img{
    width: calc(100% - 50px);
}
.spl-join .splj-img .spl-name{
    width: calc(100% - 50px);
}
.spl-join  .splj-img .spl-name a{
    color: #666;
     overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: block;
}
.spl-join .img-wrap{
    width: 40px;
    margin-right: 10px;
}

.spl-cat h3{
    margin-bottom: 30px;
    font-size: 18px;
}

.spl-cat .center-content-item{
    position: relative;
    overflow: hidden;
}


.spl-cat .center-content-item .imgbg{
    width: 100%;
   
}


.spl-cat .center-content-item .imgbg .img-item{
     padding-top:33.3333% ;
}
.spl-cat .center-content-item .spmimg{
    position: absolute;
    bottom: 160px;
    left: 50%;
    transform: translate(-50% , 50%);
    width: 40px;
    border-radius: 5px;
    overflow: hidden;

}

.spl-cat .center-content-item  .splc-text{
    height: 160px;
    overflow: hidden;
    padding:30px 15px  ;
    text-align: center;
}


.spl-cat .center-content-item  .splc-text h4{
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 6px;
    line-height: 14px;
    overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}


.spl-cat .center-content-item  .splc-text p{
    font-size: 14px;
    margin-bottom: 0px;
    overflow: hidden;

    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3; /* 顯示最多行數，設得夠大即可 */
    text-overflow: ellipsis;
}



.center-content-item .ser-people{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px;
    border-bottom: 1px solid #ddd;

}

.center-content-item .ser-people .ser-pn{
    display: flex;
    align-items: center;
    max-width: calc(100% - 130px);

}


.center-content-item .ser-people .ser-pn .img-wrap{
    height: 38px;
    width: 38px;
    border-radius: 50%;
    overflow: hidden;
    margin-right: 10px;
    flex-shrink: 0;
}

.center-content-item .ser-people .ser-pn a{
    display: block;
    max-width: calc(100% - 48px);
}
.center-content-item .ser-people .ser-pn a h4{
        font-size: 16px;
    font-weight: bold;
    margin-bottom: 0px;
    color: #333333;
}

.center-content-item .ser-people .ser-pn a p{
        font-size: 14px;
    font-weight: bold;
    margin-bottom: 0px;
    color: #999999;
    overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}


.center-content-item .ser-people .ser-pfbtn{
    border-radius: 999px;
    color: #333;
    padding: 6px 30px;
    border: 1px #ddd solid;
    transition: 0.4s;
    width: 125px;
    text-align: center;
    flex-shrink: 0;
}


.center-content-item .ser-people .ser-pfbtn.active,
.center-content-item .ser-people .ser-pfbtn:hover{
    background-color:#aa8657 ;
    color: #fff;
}

.header  .search-mb {
    display: none;
    position: fixed;
    top: 45px;
    z-index: 99999;
        height: 0;
    overflow: hidden;
    transition: 0.4s;
}

.header  .search-mb.show{
    height: auto;
    display: block;
}

.btn-gold{
        background: var(--mgold);
    border: 1px solid var(--mgold);
    color: #fff;
}

.space-profile li{
    margin-left:0.5em ;
}


@media (max-width: 991px){

    .space-profile li{
        margin-left: 0;
        margin-right: 1em;
    }
    .space-profile li:first-child{
        margin-left: 0;
        margin-right: 0;
        margin-bottom: 10px;
        width: 100%;
    }
}


.nopass{
    position: absolute;
    right: 5px;
    bottom: 19px;
    transform: translateY(50%);
}

.nopass i{
    font-size: 1rem;
    color: #ced4da;
}

.menu-func.relationParent{
    gap: 15px;
}
.menu-func.relationParent li{

}

